<?php
if(is_admin()){
add_action('admin_menu', 'beautyspa_admin_menu_pannel');
function beautyspa_admin_menu_pannel() {	
	
	$page=add_theme_page( 'beautyspa', 'Option Panel', 'edit_theme_options', 'beautyspa', 'beautysalon_spa_option_panal_function' );	
	$page2=add_theme_page( 'webriti_themes', 'Webriti Themes', 'edit_theme_options', 'webriti_themes', 'webriti_themes_function' );	
	add_action('admin_print_styles-'.$page, 'beautysalon_admin_enqueue_script');
	add_action('admin_print_styles-'.$page2, 'webriti_theme_admin_enqueue_script');
	
	}
	//Theme pages 
	function beautysalon_spa_option_panal_function()
	{
		require_once ( get_template_directory() . '/option_pannel/css/tooltip_css.php' );		
		require_once('beautyspa_options_pannel.php');
	}
	
	function webriti_themes_function ()
	{	
		require_once('webriti_theme.php');
	}
	//Theme pages css and js
	function webriti_theme_admin_enqueue_script()
	{ 	
		
		wp_enqueue_style('responsive',get_template_directory_uri().'/css/bootstrap-responsive.css'); 
		wp_enqueue_style('bootstrap',get_template_directory_uri().'/option_pannel/css/webriti_theme.css'); 
		
	}
	
	function beautysalon_admin_enqueue_script()
	{
		wp_enqueue_script( 'dashboard');
		wp_enqueue_style( 'wpb_option_pannel', get_template_directory_uri() . '/option_pannel/css/beautyspa_option_pannel.css' );
		wp_enqueue_script( 'wpb_option_pannel', get_template_directory_uri() . '/option_pannel/js/beautyspa_option_pannel.js');
		wp_enqueue_script('my-upload', get_template_directory_uri(). '/option_pannel/js/media-upload-script.js',array('media-upload','thickbox'));
		wp_enqueue_script('modal-form',get_template_directory_uri() .'/option_pannel/js/bootstrap-modal.js');
		// color 	
		wp_enqueue_style('thickbox');
		wp_enqueue_style('farbtasticss',get_template_directory_uri().'/option_pannel/css/farbtasticss.css');
		wp_enqueue_style('beautyspa-bootstrap',get_template_directory_uri().'/option_pannel/css/assets/css/beautyspa-bootstrap.css');
		//wp_enqueue_script('my-color-picker-script', get_template_directory_uri().'/option_pannel/js/my-color-picker-script.js', array( 'wp-color-picker' ), false, true );
	}	
} 
?>