<?php 
add_action( 'after_setup_theme', 'beautyspa_the_theme_setup_fnction' );
function beautyspa_the_theme_setup_fnction()
	{
		// setup admin pannel defual data for index page
		$beautyspa_theme_options=beautyspa_the_theme_setup(); 
		
		// upgrade to current package to new feature package and Current option array and new option array are merge 
		$current_theme_options = get_option('beautyspa_theme_options'); // get existing option data 		
		if($current_theme_options)
		{ 	$beautyspa_theme_options = array_merge($beautyspa_theme_options, $current_theme_options);
			update_option('beautyspa_theme_options',$beautyspa_theme_options);	// Save existing and new option data			
		}
		else
		{ 		
			add_option('beautyspa_theme_options',$beautyspa_theme_options);  // set New option data 
		}
		
		
		//Add THEME SUPPORT
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'automatic-feed-links' );
		add_editor_style();
		//Register NAV MENUS
		register_nav_menus(array(
			'header-menu' => __('Header Menu','webriti')));
			
	}

// admin restore options page
	add_action('beautyspa_restore_data', 'beautysalon_restore_data_function', 5 );		
	function beautysalon_restore_data_function()
	{	
		$beautyspa_theme_options = beautyspa_the_theme_setup();
		update_option('beautyspa_theme_options',$beautyspa_theme_options);
		
	}
	
function beautyspa_the_theme_setup() /*function declear*/
{
	 $template_uri=get_template_directory_uri();
	
	load_theme_textdomain( 'webriti', get_template_directory() . '/languages' );

	return $beautyspa_theme_options=array(
								'home_feature'=> $template_uri.'/images/default/home_banner.jpg',
								'service1_title'=>__('Spa Treatment','webriti'),
								'service1_image'=>$template_uri.'/images/default/home_service_thumb.jpg',
								'service1_content'=>__('Pellentesque habitant morbi tristique senectus 
                                                      et netus et malesuada fames ac turpis egestas 
                                                    In in massa urna, vitae vestibulum orci. yoursb
                                                     Maecenas quis est sed mauris...','webriti'),
													 
								'service2_title'=>__('Detox Treatment','webriti'),
								'service2_image'=>$template_uri.'/images/default/home_service_thumb.jpg',
								'service2_content'=>__('Pellentesque habitant morbi tristique senectus 
                                                      et netus et malesuada fames ac turpis egestas 
                                                    In in massa urna, vitae vestibulum orci. yoursb
                                                     Maecenas quis est sed mauris...','webriti'),
													 
								'service3_title'=>__('Facial Treatment','webriti'),
								'service3_image'=>$template_uri.'/images/default/home_service_thumb.jpg',
								'service3_content'=>__('Pellentesque habitant morbi tristique senectus 
                                                      et netus et malesuada fames ac turpis egestas 
                                                    In in massa urna, vitae vestibulum orci. yoursb
                                                     Maecenas quis est sed mauris...','webriti'),
													 
								'service4_title'=>__('Other Treatment','webriti'),
								'service4_image'=>$template_uri.'/images/default/home_service_thumb.jpg',
								'service4_content'=>__('Pellentesque habitant morbi tristique senectus 
                                                      et netus et malesuada fames ac turpis egestas 
                                                    In in massa urna, vitae vestibulum orci. yoursb
                                                     Maecenas quis est sed mauris...','webriti'),
								'footer_url' => 'http://www.webriti.com',
								'footer_tagline' => __('&copy; 2013. All Rights Reserved by ','webriti'),
								'footer_designedby' =>__('webriti','webriti'),
								
								'upload_image'=>'',
								'height'=>'60',
								'width'=>'250',
								'upload_image_favicon'=>'',
					            'beautyspa_custom_css'=>'',
								'tagline_title'=>__('Treatment we are offering','webriti'),
								'tagline_contents'=>__('In commodo pulvinar metus, id tristique massa ultrices at.
														Nulla auctor turpis ut mi pulvinar eu accumsan risus sagittis.
														Mauris nunc ligula, ullamcorper vitae accumsan eu,congue in nulla.
														Cras hendrerit mi quis nisi semper in sodales nisl faucibus.
														Sed quis quam eu ante ornare hendrerit.','webriti'),
														
								'product_title'=>__('Spasalon Our product rang','webriti'),
								'product_contents'=>__('A SpaSalon Produc Heading Title In commodo pulvinar metus, id tristique massa ultrices at. Nulla auctor turpis ut mi pulvinar eu accumsan risus sagittis. Mauris nunc ligula, ullamcorper vitae accumsan eu, congue in nulla. Cras hendrerit mi quis nisi semper in sodales nisl faucibus. Sed quis quam eu ante ornare hendrerit. ','webriti'),
							);
}
?>